# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::A3DSTexture Class Reference

The A3DSTexture class represents a texture in a 3DS file. More...

`#include <vl3DS.hpp>`

List of all members.

## Public Member Functions

| A3DSTexture ()

## Public Attributes

String | mFileName
float | mUScale
float | mVScale
float | mUOffset
float | mVOffset
float | mRotation
bool | mOpt_tile
bool | mOpt_decal
bool | mOpt_mirror
bool | mOpt_negative
bool | mOpt_summed_area
bool | mOpt_use_alpha
bool | mOpt_one_channel_tint
bool | mOpt_ignore_alpha
bool | mOpt_rgb_tint

## Detailed Description

The A3DSTexture class represents a texture in a 3DS file.

Definition at line 91 of file vl3DS.hpp.

## Constructor & Destructor Documentation

vl::A3DSTexture::A3DSTexture | ( | ) | `[inline]`

Definition at line 94 of file vl3DS.hpp.

## Member Data Documentation

String vl::A3DSTexture::mFileName

Definition at line 99 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

float vl::A3DSTexture::mUScale

Definition at line 100 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

float vl::A3DSTexture::mVScale

Definition at line 100 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

float vl::A3DSTexture::mUOffset

Definition at line 100 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

float vl::A3DSTexture::mVOffset

Definition at line 100 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

float vl::A3DSTexture::mRotation

Definition at line 100 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

bool vl::A3DSTexture::mOpt_tile

Definition at line 101 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

bool vl::A3DSTexture::mOpt_decal

Definition at line 102 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

bool vl::A3DSTexture::mOpt_mirror

Definition at line 103 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

bool vl::A3DSTexture::mOpt_negative

Definition at line 104 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

bool vl::A3DSTexture::mOpt_summed_area

Definition at line 105 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

bool vl::A3DSTexture::mOpt_use_alpha

Definition at line 106 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

bool vl::A3DSTexture::mOpt_one_channel_tint

Definition at line 107 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

bool vl::A3DSTexture::mOpt_ignore_alpha

Definition at line 108 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

bool vl::A3DSTexture::mOpt_rgb_tint

Definition at line 109 of file vl3DS.hpp.

Referenced by vl::A3DSLoader::readMapChunk().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/vl3DS.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.